Name:		apache-log4j-extras
Version:	1.1
Release:	3%{?dist}
Summary:	Apache Extras Companion for Apache log4j

Group:		Development/Libraries
License:	ASL 2.0
URL:		http://logging.apache.org/log4j/companions/extras
Source0:	http://archive.apache.org/dist/logging/log4j/companions/extras/%{version}/%{name}-%{version}.tar.gz
Patch0:		al4je.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch
BuildRequires:	jpackage-utils >= 0:1.7.2
BuildRequires:	ant-junit
BuildRequires:	ant
BuildRequires:	java-devel
BuildRequires:	maven
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-install-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin
BuildRequires:	maven-release-plugin
BuildRequires:	maven-resources-plugin
BuildRequires:	maven-surefire-plugin
BuildRequires:	maven-antrun-plugin
BuildRequires:	apache-rat-plugin
BuildRequires:	maven-plugin-jxr
BuildRequires:	maven-changes-plugin
BuildRequires:	maven-site-plugin
BuildRequires:	maven-skins
BuildRequires:	ant-contrib
Requires:	apache-log4j
Requires:	java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
%description

Apache Extras Companion for Apache log4j is a collection of appenders, 
filters, and layouts for Apache log4j 1.2

%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q
%patch0 -p0 
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%build
mvn-rpmbuild install javadoc:aggregate #-Dmaven.test.skip=true 

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -a  ./target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp ./target/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 ./pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/*
%{_mavenpomdir}/JPP-%{name}.pom
%{_datadir}/maven-fragments/%{name}
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Sat Dec 24 2011 David Nalley <david@gnsa.us> - 1.1-3
- switching from ant to maven because ant doesn't have a javadoc target

* Thu Oct 20 2011 David Nalley <david@gnsa.us> - 1.1-2
- removing forbidden unicode trademark symbols

* Thu Oct 20 2011 David Nalley <david@gnsa.us> - 1.1-1 
- Initial packaging
